import React from 'react';
import ReactDOM from 'react-dom';
import Select from '..';
const Option = Select.Option;
class App extends React.Component {
    constructor(props) {
        super(props);
        this.onChange = this.onChange.bind(this);
    }
    onChange(value) {
        console.log(value);
    }
    render() {
        return (React.createElement("div", null,
            React.createElement("span", { id: "select-a11y" }, "Select: "),
            React.createElement(Select, { onChange: this.onChange, defaultValue: "jack", "aria-labelledby": "select-a11y" },
                React.createElement(Option, { value: "jack" }, "Jack"),
                React.createElement(Option, { value: "frank" }, "Frank"),
                React.createElement(Option, { value: "hugo" }, "Hugo"))));
    }
}
ReactDOM.render(React.createElement(App, null), document.getElementById('select-demo-18'));
